TermRangeQueryNode (Lucene 10.5.1 queryparser API)
Description: declaration: package: org.apache.lucene.queryparser.flexible.standard.nodes, class: TermRangeQueryNode

Package org.apache.lucene.queryparser.flexible.standard.nodes

# Class TermRangeQueryNode

java.lang.Object
org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl
org.apache.lucene.queryparser.flexible.standard.nodes.AbstractRangeQueryNode<FieldQueryNode>
org.apache.lucene.queryparser.flexible.standard.nodes.TermRangeQueryNode

All Implemented Interfaces:
  `Cloneable`, `FieldableNode`, `QueryNode`, `RangeQueryNode<FieldValuePairQueryNode<?>>`

public class TermRangeQueryNode extends AbstractRangeQueryNode<FieldQueryNode>
This query node represents a range query composed by `FieldQueryNode` bounds, which means the bound values are strings.

See Also:
  - `FieldQueryNode`
  - `AbstractRangeQueryNode`

- ## Field Summary

  ### Fields inherited from class org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl

  `PLAINTEXT_FIELD_NAME, toQueryStringIgnoreFields`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TermRangeQueryNode(FieldQueryNode lower, FieldQueryNode upper, boolean lowerInclusive, boolean upperInclusive)`
  Constructs a `TermRangeQueryNode` object using the given `FieldQueryNode` as its bounds.

- ## Method Summary

  ### Methods inherited from class org.apache.lucene.queryparser.flexible.standard.nodes.AbstractRangeQueryNode

  `getField, getLowerBound, getUpperBound, isLowerInclusive, isUpperInclusive, setBounds, setField, toQueryString, toString`

  ### Methods inherited from class org.apache.lucene.queryparser.flexible.core.nodes.QueryNodeImpl

  `add, add, allocate, clone, cloneTree, containsTag, getChildren, getParent, getTag, getTagMap, isDefaultField, isLeaf, isRoot, removeChildren, removeFromParent, set, setLeaf, setTag, unsetTag`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.lucene.queryparser.flexible.core.nodes.QueryNode

  `add, add, cloneTree, containsTag, getChildren, getParent, getTag, getTagMap, isLeaf, removeChildren, removeFromParent, set, setTag, unsetTag`

- ## Constructor Details

  - ### TermRangeQueryNode

    public TermRangeQueryNode(FieldQueryNode lower, FieldQueryNode upper, boolean lowerInclusive, boolean upperInclusive)
    Constructs a `TermRangeQueryNode` object using the given `FieldQueryNode` as its bounds.
    Parameters:
      `lower` - the lower bound
      `upper` - the upper bound
      `lowerInclusive` - `true` if the lower bound is inclusive, otherwise, `false`
      `upperInclusive` - `true` if the upper bound is inclusive, otherwise, `false`